PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Fields
spa_graph_port Struct Reference
SPA » Graph

`#include <spa/graph/graph.h>`

## Data Fields
struct spa_list | link
| link in node port list
struct spa_graph_node * | node
| owner node
enum spa_direction | direction
| port direction
uint32_t | port_id
| port id
uint32_t | flags
| port flags
struct spa_graph_port * | peer
| peer

## Detailed Description

Examples
  spa/examples/adapter-control.c, and spa/examples/example-control.c.

## Field Documentation

## ◆ link

struct spa_list spa_graph_port::link

link in node port list

## ◆ node

struct spa_graph_node* spa_graph_port::node

owner node

## ◆ direction

enum spa_direction spa_graph_port::direction

port direction

## ◆ port_id

uint32_t spa_graph_port::port_id

port id

## ◆ flags

uint32_t spa_graph_port::flags

port flags

## ◆ peer

struct spa_graph_port* spa_graph_port::peer

peer

The documentation for this struct was generated from the following file:

- spa/graph/graph.h